Bug 727918 - [RFE] option to set TCP timeout persistently with Piranha
Summary: [RFE] option to set TCP timeout persistently with Piranha
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha
Version: 5.4
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 16:13 UTC by Kendrick Gay
Modified: 2013-03-07 23:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-08 12:38:27 UTC


Attachments (Terms of Use)

Description Kendrick Gay 2011-08-03 16:13:45 UTC
1. Customer Name

C&S Wholesale Grocers, Inc

2. What is the nature and description of the request?

Need to set TCP timeout persistently. Piranha appears to be used to make parameters persistent, however, TCP timeout is handled by ipvsadm.  The only workaround for this is to drop the setting into /etc/sysconfig/ipvsadm or put it in rc.local, however, it would be much more convenient if Piranha maintained this parameter persistently as it does for others.

3. Why does the customer need this? (List the business requirements here)

Maintaining this in one central location with the rest of the persistent parameters is much more effective for deployment then having to manually enter it into rc.local or in /etc/sysconfig/ipvsadm.

4. How would the customer like to achieve this? (List the functional
requirements here)

Would like to be able to invoke Piranha to set TCP timeout persistently.


5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.

After setting values with Piranha, should be able to reboot and see values are still there.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

No.

7. How quickly does this need resolved? (desired target release)

RHEL5.7 or RHEL6.2

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes.

9. List the affected packages

piranha

10. Would the customer be able to assist in testing this functionality if
implemented?

Yes.

Comment 1 Jeremy West 2011-08-08 12:38:27 UTC
RHEL5 is no longer accepting RFE's at this point. Please review this request and determine if the missing functionality is still valid in RHEL6 and clone/open a RHEL6 RFE for this, if needed.  

Thank you
Jeremy West


Note You need to log in before you can comment on or make changes to this bug.